Mine sisu juurde
ShopentlyLearn

Kustuta — Tooted

Eemalda tooted halduspaneelist, poest ja otsingust, säilitades varasemate tehingute andmed.

DELETE/api/v1/products/{product_id}

cURL-päring

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/products/example?expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-delete_product_api_v1_products__product_id__delete'

Vastus

{
  "data": {
    "deleted": true,
    "id": "example",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

Nõutavad õigused

Saadaval alates
STANDARD
Võtme õigus
Kustuta tooteidcatalog.product:delete